Update a bill

Update details about a bill line item. You can also update other bill details.

You can use the PATCH operation to modify line item details, such as amount and description. The bill line item id does not change with a PATCH operation.

Path Params
string
required
length ≥ 1

BILL-generated ID of the bill. The value begins with 00n.

Body Params
string

BILL-generated ID of the vendor. The value begins with 009.

string
length ≤ 4000

Bill description

date

Bill due date. The value is in the yyyy-MM-dd format.

billLineItems
array of objects

Bill line items information

billLineItems
invoice
object

Invoice information

string

BILL-generated ID of the chart of accounts for the bill payment. The value begins with 0ca.

classifications
object

General ledger classifications information for the bill

vendorCredits
array of objects

Vendor credits applied to the bill

vendorCredits
string

Purchase order number linked with the bill

boolean

Set as true for BILL to add approvals information in the response.

When you have approval policies set up for bills and a bill matches a policy, you see an additional approvers array of objects in the response. The array shows the list of individual users and/or user groups assigned as bill approvers. In addition, the array provides information about the status of the bill in the current approval flow.

Note: When you set billApprovals as true, you must set the field as true if you want to replace the bill with PUT /v3/bills/{billId}.

boolean

Rule for whether BILL re-matches the updated bill against your approval policies. The default value is false.

  • true: Rematch the updated bill. BILL removes any previously assigned approvers that are no longer valid, and then assigns any new approvers that match your policy rules.
  • false: Do not rematch the updated bill. BILL assigns any new approvers that match your policy rules. Any previously assigned approvers are not removed.
Headers
string | null

API session ID generated with /v3/login

string | null

Developer key generated with your BILL developer account

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json